#ifndef TEMPERATUREGRAPH_H
#define TEMPERATUREGRAPH_H

#include <QWidget>
#include <deque>
#include <utility>

class TemperatureGraph : public QWidget
{
    Q_OBJECT
public:
    explicit TemperatureGraph(QWidget *parent = 0);

signals:

public slots:
    void addTemperatureSample(double extruder_temperature, double bed_temperature);

protected:
    virtual void paintEvent(QPaintEvent *);

private:
    std::deque<std::pair<double, double> > extruder_temperature_samples;
    std::deque<std::pair<double, double> > bed_temperature_samples;
};

#endif // TEMPERATUREGRAPH_H
